=== modified file 'Makefile.am'
--- Makefile.am	2008-07-15 00:11:53 +0000
+++ Makefile.am	2008-07-15 00:27:12 +0000
@@ -171,6 +171,7 @@
 		join_outer_innodb \
 		delete \
 		join_outer \
+		distinct \
 		join \
 		subselect \
 		subselect3 \

=== modified file 'client/mysql.cc'
--- client/mysql.cc	2008-07-15 00:14:18 +0000
+++ client/mysql.cc	2008-07-15 00:27:12 +0000
@@ -2598,7 +2598,7 @@
   if (result)
   {
     unsigned int num_fields= mysql_num_fields(result);
-    my_uint64_t num_rows= mysql_num_rows(result);
+    uint64_t num_rows= mysql_num_rows(result);
     mysql_fetch_fields(result);
     if (num_fields==3 && num_rows==1)
     {
@@ -3366,7 +3366,7 @@
   const char   *query;
   MYSQL_RES    *result;
   MYSQL_ROW    cur;
-  my_uint64_t num_rows;
+  uint64_t num_rows;
   
   /* Save current error before calling "show warnings" */
   uint error= mysql_errno(&mysql);

=== modified file 'client/mysqldump.c'
--- client/mysqldump.c	2008-07-15 00:14:18 +0000
+++ client/mysqldump.c	2008-07-15 00:27:12 +0000
@@ -1474,7 +1474,7 @@
                                 char *ignore_flag)
 {
   bool    init=0, delayed, write_data, complete_insert;
-  my_uint64_t num_fields;
+  uint64_t num_fields;
   char       *result_table, *opt_quoted_table;
   const char *insert_option;
   char	     name_buff[NAME_LEN+3],table_buff[NAME_LEN*2+3];
@@ -2776,7 +2776,7 @@
 
   if ((table_res= mysql_store_result(mysql)))
   {
-    my_uint64_t num_rows= mysql_num_rows(table_res);
+    uint64_t num_rows= mysql_num_rows(table_res);
     if (num_rows > 0)
     {
       ulong *lengths;

=== modified file 'include/drizzle.h'
--- include/drizzle.h	2008-07-13 22:21:51 +0000
+++ include/drizzle.h	2008-07-14 16:09:55 +0000
@@ -92,17 +92,9 @@
 typedef char **MYSQL_ROW;		/* return data as array of strings */
 typedef unsigned int MYSQL_FIELD_OFFSET; /* offset to current field */
 
-#ifndef _global_h
-#if defined(NO_CLIENT_LONG_LONG)
-typedef unsigned long my_uint64_t;
-#else
-typedef unsigned long long my_uint64_t;
-#endif
-#endif
-
 #include "typelib.h"
 
-#define MYSQL_COUNT_ERROR (~(my_uint64_t) 0)
+#define MYSQL_COUNT_ERROR (~(uint64_t) 0)
 
 /* backward compatibility define - to be removed eventually */
 #define ER_WARN_DATA_TRUNCATED WARN_DATA_TRUNCATED
@@ -122,7 +114,7 @@
   MYSQL_ROWS *data;
   struct embedded_query_result *embedded_info;
   MEM_ROOT alloc;
-  my_uint64_t rows;
+  uint64_t rows;
   unsigned int fields;
   /* extra info for embedded library */
   void *extension;
@@ -212,9 +204,9 @@
   struct charset_info_st *charset;
   MYSQL_FIELD	*fields;
   MEM_ROOT	field_alloc;
-  my_uint64_t affected_rows;
-  my_uint64_t insert_id;		/* id if insert on table with NEXTNR */
-  my_uint64_t extra_info;		/* Not used */
+  uint64_t affected_rows;
+  uint64_t insert_id;		/* id if insert on table with NEXTNR */
+  uint64_t extra_info;		/* Not used */
   unsigned long thread_id;		/* Id for connection in server */
   unsigned long packet_length;
   unsigned int	port;
@@ -249,7 +241,7 @@
 
 
 typedef struct st_mysql_res {
-  my_uint64_t  row_count;
+  uint64_t  row_count;
   MYSQL_FIELD	*fields;
   MYSQL_DATA	*data;
   MYSQL_ROWS	*data_cursor;
@@ -320,7 +312,7 @@
   Should definitely be used if one uses shared libraries.
 */
 
-my_uint64_t STDCALL mysql_num_rows(MYSQL_RES *res);
+uint64_t STDCALL mysql_num_rows(MYSQL_RES *res);
 unsigned int STDCALL mysql_num_fields(MYSQL_RES *res);
 my_bool STDCALL mysql_eof(MYSQL_RES *res);
 MYSQL_FIELD *STDCALL mysql_fetch_field_direct(MYSQL_RES *res,
@@ -330,8 +322,8 @@
 MYSQL_FIELD_OFFSET STDCALL mysql_field_tell(MYSQL_RES *res);
 
 unsigned int STDCALL mysql_field_count(MYSQL *mysql);
-my_uint64_t STDCALL mysql_affected_rows(MYSQL *mysql);
-my_uint64_t STDCALL mysql_insert_id(MYSQL *mysql);
+uint64_t STDCALL mysql_affected_rows(MYSQL *mysql);
+uint64_t STDCALL mysql_insert_id(MYSQL *mysql);
 unsigned int STDCALL mysql_errno(MYSQL *mysql);
 const char * STDCALL mysql_error(MYSQL *mysql);
 const char *STDCALL mysql_sqlstate(MYSQL *mysql);
@@ -410,7 +402,7 @@
 				      const void *arg);
 void		STDCALL mysql_free_result(MYSQL_RES *result);
 void		STDCALL mysql_data_seek(MYSQL_RES *result,
-					my_uint64_t offset);
+					uint64_t offset);
 MYSQL_ROW_OFFSET STDCALL mysql_row_seek(MYSQL_RES *result,
 						MYSQL_ROW_OFFSET offset);
 MYSQL_FIELD_OFFSET STDCALL mysql_field_seek(MYSQL_RES *result,

=== modified file 'include/drizzle_com.h'
--- include/drizzle_com.h	2008-07-13 22:21:51 +0000
+++ include/drizzle_com.h	2008-07-14 16:09:55 +0000
@@ -474,7 +474,7 @@
 
 #ifdef _global_h
 ulong STDCALL net_field_length(uchar **packet);
-my_uint64_t net_field_length_ll(uchar **packet);
+uint64_t net_field_length_ll(uchar **packet);
 uchar *net_store_length(uchar *pkg, uint64_t length);
 #endif
 

=== modified file 'include/m_string.h'
--- include/m_string.h	2008-07-14 15:49:38 +0000
+++ include/m_string.h	2008-07-14 22:18:37 +0000
@@ -331,12 +331,12 @@
 
   if (len > 20)
   {
-    const uchar *end_words= (const uchar *)(intptr)
-      (((uint64_t)(intptr)end) / SIZEOF_INT * SIZEOF_INT);
-    const uchar *start_words= (const uchar *)(intptr)
-       ((((uint64_t)(intptr)ptr) + SIZEOF_INT - 1) / SIZEOF_INT * SIZEOF_INT);
+    const uchar *end_words= (const uchar *)(intptr_t)
+      (((uint64_t)(intptr_t)end) / SIZEOF_INT * SIZEOF_INT);
+    const uchar *start_words= (const uchar *)(intptr_t)
+       ((((uint64_t)(intptr_t)ptr) + SIZEOF_INT - 1) / SIZEOF_INT * SIZEOF_INT);
 
-    DBUG_ASSERT(((uint64_t)(intptr)ptr) >= SIZEOF_INT);
+    DBUG_ASSERT(((uint64_t)(intptr_t)ptr) >= SIZEOF_INT);
     if (end_words > ptr)
     {
       while (end > end_words && end[-1] == 0x20)

=== modified file 'include/my_global.h'
--- include/my_global.h	2008-07-14 04:46:28 +0000
+++ include/my_global.h	2008-07-14 16:24:25 +0000
@@ -746,25 +746,6 @@
 typedef int64_t	int64_t;
 #endif
 
-#ifndef HAVE_INT64
-typedef int64_t int64;
-#endif
-#ifndef HAVE_UINT64
-typedef uint64_t uint64;
-#endif
-
-typedef uint64_t my_uint64_t;
-
-#if SIZEOF_CHARP == SIZEOF_INT
-typedef int intptr;
-#elif SIZEOF_CHARP == SIZEOF_LONG
-typedef long intptr;
-#elif SIZEOF_CHARP == SIZEOF_LONG_LONG
-typedef long long intptr;
-#else
-#error sizeof(void *) is neither sizeof(int) nor sizeof(long) nor sizeof(long long)
-#endif
-
 #define MY_ERRPTR ((void*)(intptr)1)
 
 #if SIZEOF_OFF_T > 4

=== modified file 'include/typelib.h'
--- include/typelib.h	2008-07-13 22:21:51 +0000
+++ include/typelib.h	2008-07-14 16:09:55 +0000
@@ -26,7 +26,7 @@
   unsigned int *type_lengths;
 } TYPELIB;
 
-extern my_uint64_t find_typeset(char *x, TYPELIB *typelib,int *error_position);
+extern uint64_t find_typeset(char *x, TYPELIB *typelib,int *error_position);
 extern int find_type_or_exit(const char *x, TYPELIB *typelib,
                              const char *option);
 extern int find_type(char *x, const TYPELIB *typelib, unsigned int full_name);

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-07-13 22:21:51 +0000
+++ libdrizzle/client.c	2008-07-14 16:09:55 +0000
@@ -432,7 +432,7 @@
 
   net_clear_error(net);
   mysql->info=0;
-  mysql->affected_rows= ~(my_uint64_t) 0;
+  mysql->affected_rows= ~(uint64_t) 0;
   /*
     We don't want to clear the protocol buffer on COM_QUIT, because if
     the previous command was a shutdown command, we may have the
@@ -1873,7 +1873,7 @@
   mysql_close(mysql);
   *mysql=tmp_mysql;
   net_clear(&mysql->net, 1);
-  mysql->affected_rows= ~(my_uint64_t) 0;
+  mysql->affected_rows= ~(uint64_t) 0;
   DBUG_RETURN(0);
 }
 
@@ -2334,7 +2334,7 @@
 ****************************************************************************/
 
 /* MYSQL_RES */
-my_uint64_t STDCALL mysql_num_rows(MYSQL_RES *res)
+uint64_t STDCALL mysql_num_rows(MYSQL_RES *res)
 {
   return res->row_count;
 }

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-07-13 22:21:51 +0000
+++ libdrizzle/libdrizzle.c	2008-07-14 16:09:55 +0000
@@ -744,7 +744,7 @@
 **************************************************************************/
 
 void STDCALL
-mysql_data_seek(MYSQL_RES *result, my_uint64_t row)
+mysql_data_seek(MYSQL_RES *result, uint64_t row)
 {
   MYSQL_ROWS	*tmp=0;
   DBUG_PRINT("info",("mysql_data_seek(%ld)",(long) row));
@@ -1056,12 +1056,12 @@
   return mysql->field_count;
 }
 
-my_uint64_t STDCALL mysql_affected_rows(MYSQL *mysql)
+uint64_t STDCALL mysql_affected_rows(MYSQL *mysql)
 {
   return mysql->affected_rows;
 }
 
-my_uint64_t STDCALL mysql_insert_id(MYSQL *mysql)
+uint64_t STDCALL mysql_insert_id(MYSQL *mysql)
 {
   return mysql->insert_id;
 }
@@ -1309,7 +1309,7 @@
   }
 
   net_clear_error(&mysql->net);
-  mysql->affected_rows= ~(my_uint64_t) 0;
+  mysql->affected_rows= ~(uint64_t) 0;
 
   if (mysql->server_status & SERVER_MORE_RESULTS_EXISTS)
     DBUG_RETURN((*mysql->methods->next_result)(mysql));

=== modified file 'libdrizzle/pack.c'
--- libdrizzle/pack.c	2008-07-13 22:45:08 +0000
+++ libdrizzle/pack.c	2008-07-14 16:09:55 +0000
@@ -45,34 +45,34 @@
 }
 
 /* The same as above but returns int64_t */
-my_uint64_t net_field_length_ll(uchar **packet)
+uint64_t net_field_length_ll(uchar **packet)
 {
   register uchar *pos= *packet;
   if (*pos < 251)
   {
     (*packet)++;
-    return (my_uint64_t) *pos;
+    return (uint64_t) *pos;
   }
   if (*pos == 251)
   {
     (*packet)++;
-    return (my_uint64_t) NULL_LENGTH;
+    return (uint64_t) NULL_LENGTH;
   }
   if (*pos == 252)
   {
     (*packet)+=3;
-    return (my_uint64_t) uint2korr(pos+1);
+    return (uint64_t) uint2korr(pos+1);
   }
   if (*pos == 253)
   {
     (*packet)+=4;
-    return (my_uint64_t) uint3korr(pos+1);
+    return (uint64_t) uint3korr(pos+1);
   }
   (*packet)+=9;					/* Must be 254 when here */
 #ifdef NO_CLIENT_LONGLONG
-  return (my_uint64_t) uint4korr(pos+1);
+  return (uint64_t) uint4korr(pos+1);
 #else
-  return (my_uint64_t) uint8korr(pos+1);
+  return (uint64_t) uint8korr(pos+1);
 #endif
 }
 

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-07-13 22:45:08 +0000
+++ mysys/my_getopt.c	2008-07-14 16:24:25 +0000
@@ -992,23 +992,23 @@
     /*
       Do not clear variable value if it has no default value.
       The default value may already be set.
-      NOTE: To avoid compiler warnings, we first cast int64_t to intptr,
+      NOTE: To avoid compiler warnings, we first cast int64_t to intptr_t,
       so that the value has the same size as a pointer.
     */
-    if ((char*) (intptr) value)
-      *((char**) variable)= (char*) (intptr) value;
+    if ((char*) (intptr_t) value)
+      *((char**) variable)= (char*) (intptr_t) value;
     break;
   case GET_STR_ALLOC:
     /*
       Do not clear variable value if it has no default value.
       The default value may already be set.
-      NOTE: To avoid compiler warnings, we first cast int64_t to intptr,
+      NOTE: To avoid compiler warnings, we first cast int64_t to intptr_t,
       so that the value has the same size as a pointer.
     */
-    if ((char*) (intptr) value)
+    if ((char*) (intptr_t) value)
     {
       my_free((*(char**) variable), MYF(MY_ALLOW_ZERO_PTR));
-      *((char**) variable)= my_strdup((char*) (intptr) value, MYF(MY_WME));
+      *((char**) variable)= my_strdup((char*) (intptr_t) value, MYF(MY_WME));
     }
     break;
   default: /* dummy default to avoid compiler warnings */

=== modified file 'mysys/typelib.c'
--- mysys/typelib.c	2008-07-13 22:21:51 +0000
+++ mysys/typelib.c	2008-07-14 16:09:55 +0000
@@ -162,9 +162,9 @@
     a integer representation of the supplied string
 */
 
-my_uint64_t find_typeset(char *x, TYPELIB *lib, int *err)
+uint64_t find_typeset(char *x, TYPELIB *lib, int *err)
 {
-  my_uint64_t result;
+  uint64_t result;
   int find;
   char *i;
   DBUG_ENTER("find_set");

=== modified file 'server/Makefile.am'
--- server/Makefile.am	2008-07-12 07:25:25 +0000
+++ server/Makefile.am	2008-07-14 22:40:46 +0000
@@ -83,7 +83,7 @@
 			field.cc strfunc.cc key.cc sql_class.cc sql_list.cc \
 			protocol.cc sql_state.c \
 			lock.cc \
-			sql_string.cc sql_manager.cc sql_map.cc \
+			sql_string.cc sql_map.cc \
 			drizzled.cc \
 			sql_connect.cc scheduler.cc sql_parse.cc \
 			set_var.cc sql_yacc.yy \

=== modified file 'server/drizzled.cc'
--- server/drizzled.cc	2008-07-14 22:29:09 +0000
+++ server/drizzled.cc	2008-07-14 22:40:46 +0000
@@ -322,7 +322,6 @@
 ulong refresh_version;  /* Increments on each reload */
 query_id_t global_query_id;
 ulong aborted_threads, aborted_connects;
-ulong flush_time;
 ulong specialflag=0;
 ulong binlog_cache_use= 0, binlog_cache_disk_use= 0;
 ulong max_connections, max_connect_errors;
@@ -533,14 +532,6 @@
   kill_cached_threads++;
   flush_thread_cache();
 
-  /* kill flush thread */
-  (void) pthread_mutex_lock(&LOCK_manager);
-  if (manager_thread_in_use)
-  {
-   (void) pthread_cond_signal(&COND_manager);
-  }
-  (void) pthread_mutex_unlock(&LOCK_manager);
-
   /* kill connection thread */
   (void) pthread_mutex_lock(&LOCK_thread_count);
 
@@ -921,7 +912,6 @@
   (void) pthread_mutex_destroy(&LOCK_mapped_file);
   (void) pthread_mutex_destroy(&LOCK_status);
   (void) pthread_mutex_destroy(&LOCK_error_log);
-  (void) pthread_mutex_destroy(&LOCK_manager);
   (void) pthread_mutex_destroy(&LOCK_crypt);
   (void) pthread_mutex_destroy(&LOCK_user_conn);
   (void) pthread_mutex_destroy(&LOCK_connection_count);
@@ -939,7 +929,6 @@
   (void) pthread_cond_destroy(&COND_global_read_lock);
   (void) pthread_cond_destroy(&COND_thread_cache);
   (void) pthread_cond_destroy(&COND_flush_thread_cache);
-  (void) pthread_cond_destroy(&COND_manager);
 }
 
 
@@ -2298,7 +2287,6 @@
   (void) pthread_mutex_init(&LOCK_mapped_file,MY_MUTEX_INIT_SLOW);
   (void) pthread_mutex_init(&LOCK_status,MY_MUTEX_INIT_FAST);
   (void) pthread_mutex_init(&LOCK_error_log,MY_MUTEX_INIT_FAST);
-  (void) pthread_mutex_init(&LOCK_manager,MY_MUTEX_INIT_FAST);
   (void) pthread_mutex_init(&LOCK_crypt,MY_MUTEX_INIT_FAST);
   (void) pthread_mutex_init(&LOCK_user_conn, MY_MUTEX_INIT_FAST);
   (void) pthread_mutex_init(&LOCK_active_mi, MY_MUTEX_INIT_FAST);
@@ -2314,7 +2302,6 @@
   (void) pthread_cond_init(&COND_global_read_lock,NULL);
   (void) pthread_cond_init(&COND_thread_cache,NULL);
   (void) pthread_cond_init(&COND_flush_thread_cache,NULL);
-  (void) pthread_cond_init(&COND_manager,NULL);
   (void) pthread_mutex_init(&LOCK_rpl_status, MY_MUTEX_INIT_FAST);
   (void) pthread_cond_init(&COND_rpl_status, NULL);
 
@@ -2612,17 +2599,6 @@
 }
 
 
-static void create_maintenance_thread()
-{
-  if (flush_time && flush_time != ~(ulong) 0L)
-  {
-    pthread_t hThread;
-    if (pthread_create(&hThread,&connection_attrib,handle_manager,0))
-      sql_print_warning("Can't create thread to manage maintenance");
-  }
-}
-
-
 int main(int argc, char **argv)
 {
   MY_INIT(argv[0]);		// init my_sys library & pthreads
@@ -2758,8 +2734,6 @@
     unireg_abort(1);
   }
 
-  create_maintenance_thread();
-
   sql_print_information(ER(ER_STARTUP),my_progname,server_version,
                         "", mysqld_port, MYSQL_COMPILATION_COMMENT);
 
@@ -3636,10 +3610,6 @@
    (char**) &expire_logs_days,
    (char**) &expire_logs_days, 0, GET_ULONG,
    REQUIRED_ARG, 0, 0, 99, 0, 1, 0},
-  { "flush_time", OPT_FLUSH_TIME,
-    "A dedicated thread is created to flush all tables at the given interval.",
-    (char**) &flush_time, (char**) &flush_time, 0, GET_ULONG, REQUIRED_ARG,
-    FLUSH_TIME, 0, LONG_TIMEOUT, 0, 1, 0},
   { "group_concat_max_len", OPT_GROUP_CONCAT_MAX_LEN,
     "The maximum length of the result of function  group_concat.",
     (char**) &global_system_variables.group_concat_max_len,
@@ -4683,10 +4653,6 @@
     if (opt_console)
       opt_error_log= 0;			// Force logs to stdout
     break;
-  case (int) OPT_FLUSH:
-    myisam_flush=1;
-    flush_time=0;			// No auto flush
-    break;
   case OPT_LOW_PRIORITY_UPDATES:
     thr_upgraded_concurrent_insert_lock= TL_WRITE_LOW_PRIORITY;
     global_system_variables.low_priority_updates=1;

=== modified file 'server/field.h'
--- server/field.h	2008-07-13 22:45:08 +0000
+++ server/field.h	2008-07-14 16:09:55 +0000
@@ -931,7 +931,7 @@
                       uint max_length __attribute__((__unused__)),
                       bool low_byte_first __attribute__((__unused__)))
   {
-    int64 val;
+    int64_t val;
 #ifdef WORDS_BIGENDIAN
     if (table->s->db_low_byte_first)
       val = sint8korr(from);
@@ -952,7 +952,7 @@
                               uint param_data __attribute__((__unused__)),
                               bool low_byte_first __attribute__((__unused__)))
   {
-    int64 val;
+    int64_t val;
 #ifdef WORDS_BIGENDIAN
     if (low_byte_first)
       val = sint8korr(from);

=== modified file 'server/mysql_priv.h'
--- server/mysql_priv.h	2008-07-15 00:11:11 +0000
+++ server/mysql_priv.h	2008-07-15 00:27:12 +0000
@@ -1526,13 +1526,6 @@
                 bool local_file);
 int write_record(THD *thd, TABLE *table, COPY_INFO *info);
 
-/* sql_manager.cc */
-extern ulong volatile manager_status;
-extern bool volatile manager_thread_in_use, mqh_used;
-extern pthread_t manager_thread;
-pthread_handler_t handle_manager(void *arg);
-bool mysql_manager_submit(void (*action)());
-
 
 /* sql_test.cc */
 void print_where(COND *cond,const char *info, enum_query_type query_type);
@@ -1747,7 +1740,7 @@
        LOCK_thread_count,LOCK_mapped_file,LOCK_user_locks, LOCK_status,
        LOCK_error_log, LOCK_uuid_generator,
        LOCK_crypt, LOCK_timezone,
-       LOCK_slave_list, LOCK_active_mi, LOCK_manager, LOCK_global_read_lock,
+       LOCK_slave_list, LOCK_active_mi, LOCK_global_read_lock,
        LOCK_global_system_variables, LOCK_user_conn,
        LOCK_bytes_sent, LOCK_bytes_received, LOCK_connection_count;
 extern pthread_mutex_t LOCK_server_started;

=== modified file 'server/opt_range.cc'
--- server/opt_range.cc	2008-07-13 22:45:08 +0000
+++ server/opt_range.cc	2008-07-14 22:07:42 +0000
@@ -4193,7 +4193,7 @@
       {
         field_item= (Item_field*) (cond_func->arguments()[i]->real_item());
         SEL_TREE *tmp= get_full_func_mm_tree(param, cond_func, 
-                                    field_item, (Item*)(intptr)i, inv);
+                                    field_item, (Item*)(intptr_t)i, inv);
         if (inv)
           tree= !tree ? tmp : tree_or(param, tree, tmp);
         else 

=== modified file 'server/set_var.cc'
--- server/set_var.cc	2008-07-14 22:29:09 +0000
+++ server/set_var.cc	2008-07-14 22:40:46 +0000
@@ -209,7 +209,6 @@
 static sys_var_long_ptr	sys_expire_logs_days(&vars, "expire_logs_days",
 					     &expire_logs_days);
 static sys_var_bool_ptr	sys_flush(&vars, "flush", &myisam_flush);
-static sys_var_long_ptr	sys_flush_time(&vars, "flush_time", &flush_time);
 sys_var_str             sys_init_connect(&vars, "init_connect", 0,
                                          sys_update_init_connect,
                                          sys_default_init_connect,0);

=== removed file 'server/sql_manager.cc'
--- server/sql_manager.cc	2008-07-10 16:30:10 +0000
+++ server/sql_manager.cc	1970-01-01 00:00:00 +0000
@@ -1,127 +0,0 @@
-/* Copyright (C) 2000, 2002, 2005 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/* 
- * sql_manager.cc
- * This thread manages various maintenance tasks.
- *
- *   o Flushing the tables every flush_time seconds.
- *   o Berkeley DB: removing unneeded log files.
- */
-
-#include "mysql_priv.h"
-
-ulong volatile manager_status;
-bool volatile manager_thread_in_use;
-
-pthread_t manager_thread;
-pthread_mutex_t LOCK_manager;
-pthread_cond_t COND_manager;
-
-struct handler_cb {
-   struct handler_cb *next;
-   void (*action)(void);
-};
-
-static struct handler_cb * volatile cb_list;
-
-bool mysql_manager_submit(void (*action)())
-{
-  bool result= false;
-  struct handler_cb * volatile *cb;
-  pthread_mutex_lock(&LOCK_manager);
-  cb= &cb_list;
-  while (*cb && (*cb)->action != action)
-    cb= &(*cb)->next;
-  if (!*cb)
-  {
-    *cb= (struct handler_cb *)my_malloc(sizeof(struct handler_cb), MYF(MY_WME));
-    if (!*cb)
-      result= true;
-    else
-    {
-      (*cb)->next= NULL;
-      (*cb)->action= action;
-    }
-  }
-  pthread_mutex_unlock(&LOCK_manager);
-  return result;
-}
-
-pthread_handler_t handle_manager(void *arg __attribute__((unused)))
-{
-  int error = 0;
-  ulong status;
-  struct timespec abstime;
-  bool reset_flush_time = true;
-  struct handler_cb *cb= NULL;
-  my_thread_init();
-
-  pthread_detach_this_thread();
-  manager_thread = pthread_self();
-  manager_status = 0;
-  manager_thread_in_use = 1;
-
-  for (;;)
-  {
-    pthread_mutex_lock(&LOCK_manager);
-    /* XXX: This will need to be made more general to handle different
-     * polling needs. */
-    if (flush_time)
-    {
-      if (reset_flush_time)
-      {
-	set_timespec(abstime, flush_time);
-        reset_flush_time= false;
-      }
-      while (!manager_status && (!error || error == EINTR) && !abort_loop)
-        error= pthread_cond_timedwait(&COND_manager, &LOCK_manager, &abstime);
-    }
-    else
-    {
-      while (!manager_status && (!error || error == EINTR) && !abort_loop)
-        error= pthread_cond_wait(&COND_manager, &LOCK_manager);
-    }
-    status = manager_status;
-    manager_status = 0;
-    if (cb == NULL)
-    {
-      cb= cb_list;
-      cb_list= NULL;
-    }
-    pthread_mutex_unlock(&LOCK_manager);
-
-    if (abort_loop)
-      break;
-
-    if (error == ETIMEDOUT || error == ETIME)
-    {
-      flush_tables();
-      error = 0;
-      reset_flush_time = true;
-    }
-
-    while (cb)
-    {
-      struct handler_cb *next= cb->next;
-      cb->action();
-      my_free((uchar*)cb, MYF(0));
-      cb= next;
-    }
-  }
-  manager_thread_in_use = 0;
-  my_thread_end();
-  return(NULL);
-}

=== modified file 'server/sql_plugin.cc'
--- server/sql_plugin.cc	2008-07-15 00:14:00 +0000
+++ server/sql_plugin.cc	2008-07-15 00:27:12 +0000
@@ -2398,7 +2398,7 @@
   case PLUGIN_VAR_STR:
     options->var_type= ((opt->flags & PLUGIN_VAR_MEMALLOC) ?
                         GET_STR_ALLOC : GET_STR);
-    options->def_value= (intptr) ((sysvar_str_t*) opt)->def_val;
+    options->def_value= (intptr_t) ((sysvar_str_t*) opt)->def_val;
     break;
   /* threadlocal variables */
   case PLUGIN_VAR_INT | PLUGIN_VAR_THDLOCAL:
@@ -2440,7 +2440,7 @@
   case PLUGIN_VAR_STR | PLUGIN_VAR_THDLOCAL:
     options->var_type= ((opt->flags & PLUGIN_VAR_MEMALLOC) ?
                         GET_STR_ALLOC : GET_STR);
-    options->def_value= (intptr) ((thdvar_str_t*) opt)->def_val;
+    options->def_value= (intptr_t) ((thdvar_str_t*) opt)->def_val;
     break;
   default:
     assert(0);

=== modified file 'server/time.cc'
--- server/time.cc	2008-07-13 22:45:08 +0000
+++ server/time.cc	2008-07-14 22:07:42 +0000
@@ -966,8 +966,8 @@
 int
 my_time_compare(MYSQL_TIME *a, MYSQL_TIME *b)
 {
-  my_uint64_t a_t= TIME_to_uint64_t_datetime(a);
-  my_uint64_t b_t= TIME_to_uint64_t_datetime(b);
+  uint64_t a_t= TIME_to_uint64_t_datetime(a);
+  uint64_t b_t= TIME_to_uint64_t_datetime(b);
 
   if (a_t > b_t)
     return 1;

=== modified file 'strings/dtoa.c'
--- strings/dtoa.c	2008-07-11 12:25:06 +0000
+++ strings/dtoa.c	2008-07-14 16:09:55 +0000
@@ -539,10 +539,10 @@
   TODO: check if we can get rid of the above two
 */
 
-typedef int32 Long;
-typedef uint32 ULong;
-typedef int64 LLong;
-typedef uint64 ULLong;
+typedef int32_t Long;
+typedef uint32_t ULong;
+typedef int64_t LLong;
+typedef uint64_t ULLong;
 
 typedef union { double d; ULong L[2]; } U;
 

=== modified file 'tests/include/have_innodb.inc'
--- tests/include/have_innodb.inc	2008-06-25 05:29:13 +0000
+++ tests/include/have_innodb.inc	2008-07-14 22:10:43 +0000
@@ -1,4 +0,0 @@
-disable_query_log;
---require r/true.require
-select (plugin_status = 'ACTIVE') as `TRUE` from information_schema.plugins where PLUGIN_NAME = 'innodb';
-enable_query_log;

=== modified file 'tests/r/1st.result'
--- tests/r/1st.result	2008-06-25 05:29:13 +0000
+++ tests/r/1st.result	2008-07-14 22:07:42 +0000
@@ -5,22 +5,3 @@
 test
 show tables in mysql;
 Tables_in_mysql
-columns_priv
-db
-func
-general_log
-help_category
-help_keyword
-help_relation
-help_topic
-host
-plugin
-servers
-slow_log
-tables_priv
-time_zone
-time_zone_leap_second
-time_zone_name
-time_zone_transition
-time_zone_transition_type
-user

